function jyjs
clear all
close all
clc
options=odeset('RelTol',1e-12);
[X,Y]=ode45(@yjs,[0,1],1,options); %[0,1]为自变量取值范围，1为初始条件
yy=@(xx)sqrt(1+2*xx);%解析结果
subplot(2,1,1);plot(X',Y','r',X',yy(X'),'b')
title('Matlab自带程序ode45的精度')
legend('Matlab','解析解')
xlabel('x')
ylabel('y')
subplot(2,1,2);plot(X',Y'-yy(X'),'r')
title('Matlab自带程序ode45的误差')
xlabel('x')
ylabel('error')

%定义句柄函数
function ydot=yjs(x,y)
ydot=y-2*x/y;
